%define version 2.03
%define rel	4

Summary: SKK like Japanese-input application
Name: skkinput
Version: %{version}
Release: %{rel}
Copyright: GPL
Group: User Interface/X
Source0: http://member.nifty.ne.jp/Tatari_SAKAMOTO/%{name}-%{version}.tar.gz
Source1: bash.dot.inputrc
Source2: skkinput.1x.gz
Patch0: skkinput-fontset.patch
URL: http://member.nifty.ne.jp/Tatari_SAKAMOTO/
BuildRequires: XFree86-devel
Requires: gzip
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot

%description
skkinput is a kana to kanji converter with kinput protcol/kinput2 protcol/
Ximp Protocol/X Input Method(X11R6 standard) under X Window System.

%prep
%setup -q
%patch -p1 -b .fontset
cp ${RPM_SOURCE_DIR}/bash.dot.inputrc .

rm -fr ${RPM_BUILD_ROOT}

%build
/usr/X11R6/bin/xmkmf -a
make CDEBUGFLAGS="${RPM_OPT_FLAGS}"

%install
rm -fr ${RPM_BUILD_ROOT}

mkdir -p $RPM_BUILD_ROOT%{_prefix}/X11R6/bin
make DESTDIR=${RPM_BUILD_ROOT} install

mkdir -p $RPM_BUILD_ROOT%{_prefix}/X11R6/man/man1
install -m 644 $RPM_SOURCE_DIR/skkinput.1x.gz $RPM_BUILD_ROOT%{_prefix}/X11R6/man/man1/

%clean
rm -fr ${RPM_BUILD_ROOT}

%files
%defattr(-, root, root)
%doc BUGS.jis CHANGES.jis FAQ.jis GPL PROGRAM.jis README.jis TODO.jis
%doc dot.skkinput skkinput.doc
%doc bash.dot.inputrc
%{_prefix}/X11R6/bin/*
%{_prefix}/X11R6/man/man1/*

%changelog
* Tue Jan 23 2001 SATO Satoru <ssato@redhat.com>
- fix spelling error in description
- add gzipped manual
- clean up SPEC

* Tue Jan 23 2001 SATO Satoru <ssato@redhat.com>
- fix wrong category (close #24703)

* Mon Dec 26 2000 SATO Satoru <ssato@redhat.com>
- clean up SPEC

* Mon Aug  4 2000 SATO Satoru <ssato@redhat.com>
- Initial release
